Appearance
Search URA Tin Verification Requests
In case your system would like to search for the existing Tin Verification requests, you can use the following end point.
Endpoints
| Environment | URL |
|---|---|
| Sandbox | https://api-test.streamline.laboremus.ug/tinid-test/api/tins?v=1.0 |
| Production | https://api.streamline.laboremus.ug/tin/api/tins?v=1.0 |
Request
Request Type : GET
Path Parameters Values
| Name | Type | Required | Description |
|---|---|---|---|
| id | string(uuid) | yes | The Unique ID of a Tin Verification request |
Response
Content type
application/json
Response Values
| Name | Type | Description |
|---|---|---|
| requests | Array of objects | The requests matching the search criteria |
| pagination | object | The district where it is located |
requests
| Name | Type | Description |
|---|---|---|
| id | string (uuid) | The unique Id of the request. |
| tin | string or null | Tin Number sent in the request payload. |
| errorCode | string or null | The code of the error returned. |
| errorDescription | string or null | The description of the error returned. |
| initiator | string or null | Names of the request initiator. |
| county | string or null | Tin assignee's county. |
| district | string or null | Tin assignee's district. |
| isCustomsAgent | string or null | Tin assignee is a custom agent ("Y"/"N") |
| isLicenseValid | string or null | Customs agent license validity (Present if Tin assignee is a customs agent). |
| licenseNumber | string or null | Customs agent license number (Present if Tin assignee is a customs agent) |
| mobileNumber | string or null | Tin assignee's mobile number. |
| postalAddress | string or null | Tin assignee's postal address. |
| registrationStatus | string or null | Tin assignee's registration status. |
| subCounty | string or null | Tin assignee's sub-county. |
| taxPayerEmail | string or null | Tin assignee's taxpayer email. |
| taxPayerName | string or null | Tin assignee's taxpayer name. |
| telephoneNumber | string or null | Tin assignee's taxpayer phone number. |
| typeofUser | string or null | Tin assignee's user type. |
| village | string or null | Tin assignee's village. |
| nitaFaultCode | string or null | Nita response error code. |
| nitaFaultMessage | string or null | Nita response error message. |
| nitaFaultDescription | string or null | Nita response error description. |
| nitaFaultAms | string or null | Nita Ams error response. |
| nitaFaultText | string or null | Nita error text response. |
| status | string (Enum: Pending, Completed, Failed) | The status of the request sent |
| sentAt | string or null (date-time) | Date the request was sent. |
| processedAt | string or null (date-time) | Date at which the verification request was processed. |
| createdAt | string or null (date-time) | Date at which the verification request was created. |
| lastUpdated | string or null (date-time) | Date at which the verification request was last updated. |
pagination
| Name | Type | Description |
|---|---|---|
| page | integer | Page number |
| itemsPerPage | object | Number of requests returned per page |
| totalItems | string or null | Total number of requests |
Example Response Body
json
{
"requests": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"tin": "string",
"errorCode": "string",
"errorDescription": "string",
"initiator": "string",
"contactNumber": "string",
"county": "string",
"district": "string",
"isCustomsAgent": "string",
"isLicenseValid": "string",
"licenseNumber": "string",
"mobileNumber": "string",
"postalAddress": "string",
"registrationStatus": "string",
"subCounty": "string",
"taxPayerEmail": "string",
"taxPayerName": "string",
"telephoneNumber": "string",
"typeofUser": "string",
"village": "string",
"nitaFaultCode": "string",
"nitaFaultMessage": "string",
"nitaFaultDescription": "string",
"nitaFaultAms": "string",
"nitaFaultText": "string",
"status": "Pending",
"sentAt": "2019-08-24T14:15:22Z",
"processedAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"lastUpdated": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"page": 0,
"itemsPerPage": 0,
"totalItems": 0
}
}{
"requests": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"tin": "string",
"errorCode": "string",
"errorDescription": "string",
"initiator": "string",
"contactNumber": "string",
"county": "string",
"district": "string",
"isCustomsAgent": "string",
"isLicenseValid": "string",
"licenseNumber": "string",
"mobileNumber": "string",
"postalAddress": "string",
"registrationStatus": "string",
"subCounty": "string",
"taxPayerEmail": "string",
"taxPayerName": "string",
"telephoneNumber": "string",
"typeofUser": "string",
"village": "string",
"nitaFaultCode": "string",
"nitaFaultMessage": "string",
"nitaFaultDescription": "string",
"nitaFaultAms": "string",
"nitaFaultText": "string",
"status": "Pending",
"sentAt": "2019-08-24T14:15:22Z",
"processedAt": "2019-08-24T14:15:22Z",
"createdAt": "2019-08-24T14:15:22Z",
"lastUpdated": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"page": 0,
"itemsPerPage": 0,
"totalItems": 0
}
}Error Response
400 Bad Request
application/json
| Name | Type | Description |
|---|---|---|
| type | string or null | Type of error response |
| title | string or null | The title of the error response |
| status | integer(int32) | The status of the error response |
| traceId | string or null | The traceId of the error request producing the error |
| errors | object | Object defining the errors |
errors
| Name | Type | Description |
|---|---|---|
| property | Array of strings | The definition of the errors |
401 Unauthorized
application/json
| Name | Type | Description |
|---|---|---|
| error | object(Error) | Type of error response |
Error
| Name | Type | Description |
|---|---|---|
| code | string or null | The Error code |
| message | string or null | The Error message |
403 Forbidden
application/json
| Name | Type | Description |
|---|---|---|
| error | object(Error) | Type of error response |
Error
| Name | Type | Description |
|---|---|---|
| code | string or null | The Error code |
| message | string or null | The Error message |
404 Not Found
application/json
| Name | Type | Description |
|---|---|---|
| error | object(Error) | Type of error response |
Error
| Name | Type | Description |
|---|---|---|
| code | string or null | The Error code |
| message | string or null | The Error message |
500 Server Error
application/json
| Name | Type | Description |
|---|---|---|
| error | object(Error) | Type of error response |
Error
| Name | Type | Description |
|---|---|---|
| code | string or null | The Error code |
| message | string or null | The Error message |